<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:tns="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list" targetNamespace="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <xsd:schema elementFormDefault="qualified" targetNamespace="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:complexType name="adcs_responsibility_center_list">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="Key" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="_x003C_Responsibility_Center_Code_x003E_" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="_x003C_Responsibility_Center_Name_x003E_" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="HR_Section_Code" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="_x003C_HRSection_Name_x003E_" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="_x003C_Department_Code_x003E_" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="Department_Name" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="_x003C_Division_Code_x003E_" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="Division_Name" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="Functions" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="Location_Code" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="Global_Dimension_1_Code" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="HOS" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="Used_For_Budgeted" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="Consider_Same_Excel_Sheet" type="xsd:boolean" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="adcs_responsibility_center_list_List">
        <xsd:sequence>
          <xsd:element minOccurs="1" maxOccurs="unbounded" name="adcs_responsibility_center_list" type="tns:adcs_responsibility_center_list" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:simpleType name="adcs_responsibility_center_list_Fields">
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="_x003C_Responsibility_Center_Code_x003E_" />
          <xsd:enumeration value="_x003C_Responsibility_Center_Name_x003E_" />
          <xsd:enumeration value="HR_Section_Code" />
          <xsd:enumeration value="_x003C_HRSection_Name_x003E_" />
          <xsd:enumeration value="_x003C_Department_Code_x003E_" />
          <xsd:enumeration value="Department_Name" />
          <xsd:enumeration value="_x003C_Division_Code_x003E_" />
          <xsd:enumeration value="Division_Name" />
          <xsd:enumeration value="Functions" />
          <xsd:enumeration value="Location_Code" />
          <xsd:enumeration value="Global_Dimension_1_Code" />
          <xsd:enumeration value="HOS" />
          <xsd:enumeration value="Used_For_Budgeted" />
          <xsd:enumeration value="Consider_Same_Excel_Sheet" />
        </xsd:restriction>
      </xsd:simpleType>
      <xsd:complexType name="adcs_responsibility_center_list_Filter">
        <xsd:sequence>
          <xsd:element minOccurs="1" maxOccurs="1" name="Field" type="tns:adcs_responsibility_center_list_Fields" />
          <xsd:element minOccurs="1" maxOccurs="1" name="Criteria" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:element name="Read">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="_x003C_Responsibility_Center_Code_x003E_" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="Read_Result">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="0" maxOccurs="1" name="adcs_responsibility_center_list" type="tns:adcs_responsibility_center_list" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="ReadByRecId">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="recId" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="ReadByRecId_Result">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="0" maxOccurs="1" name="adcs_responsibility_center_list" type="tns:adcs_responsibility_center_list" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="ReadMultiple">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="unbounded" name="filter" type="tns:adcs_responsibility_center_list_Filter" />
            <xsd:element minOccurs="0" maxOccurs="1" name="bookmarkKey" type="xsd:string" />
            <xsd:element minOccurs="1" maxOccurs="1" name="setSize" type="xsd:int" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="ReadMultiple_Result">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="0" maxOccurs="1" name="ReadMultiple_Result" type="tns:adcs_responsibility_center_list_List" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="IsUpdated">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="Key" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="IsUpdated_Result">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="IsUpdated_Result" type="xsd:boolean" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="GetRecIdFromKey">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="Key" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="GetRecIdFromKey_Result">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="GetRecIdFromKey_Result" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    </xsd:schema>
  </types>
  <message name="Read">
    <part name="parameters" element="tns:Read" />
  </message>
  <message name="Read_Result">
    <part name="parameters" element="tns:Read_Result" />
  </message>
  <message name="ReadByRecId">
    <part name="parameters" element="tns:ReadByRecId" />
  </message>
  <message name="ReadByRecId_Result">
    <part name="parameters" element="tns:ReadByRecId_Result" />
  </message>
  <message name="ReadMultiple">
    <part name="parameters" element="tns:ReadMultiple" />
  </message>
  <message name="ReadMultiple_Result">
    <part name="parameters" element="tns:ReadMultiple_Result" />
  </message>
  <message name="IsUpdated">
    <part name="parameters" element="tns:IsUpdated" />
  </message>
  <message name="IsUpdated_Result">
    <part name="parameters" element="tns:IsUpdated_Result" />
  </message>
  <message name="GetRecIdFromKey">
    <part name="parameters" element="tns:GetRecIdFromKey" />
  </message>
  <message name="GetRecIdFromKey_Result">
    <part name="parameters" element="tns:GetRecIdFromKey_Result" />
  </message>
  <portType name="adcs_responsibility_center_list_Port">
    <operation name="Read">
      <input name="Read" message="tns:Read" />
      <output name="Read_Result" message="tns:Read_Result" />
    </operation>
    <operation name="ReadByRecId">
      <input name="ReadByRecId" message="tns:ReadByRecId" />
      <output name="ReadByRecId_Result" message="tns:ReadByRecId_Result" />
    </operation>
    <operation name="ReadMultiple">
      <input name="ReadMultiple" message="tns:ReadMultiple" />
      <output name="ReadMultiple_Result" message="tns:ReadMultiple_Result" />
    </operation>
    <operation name="IsUpdated">
      <input name="IsUpdated" message="tns:IsUpdated" />
      <output name="IsUpdated_Result" message="tns:IsUpdated_Result" />
    </operation>
    <operation name="GetRecIdFromKey">
      <input name="GetRecIdFromKey" message="tns:GetRecIdFromKey" />
      <output name="GetRecIdFromKey_Result" message="tns:GetRecIdFromKey_Result" />
    </operation>
  </portType>
  <binding name="adcs_responsibility_center_list_Binding" type="tns:adcs_responsibility_center_list_Port">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <operation name="Read">
      <operation soapAction="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list:Read" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="Read">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="Read_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="ReadByRecId">
      <operation soapAction="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list:ReadByRecId" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="ReadByRecId">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="ReadByRecId_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="ReadMultiple">
      <operation soapAction="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list:ReadMultiple" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="ReadMultiple">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="ReadMultiple_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="IsUpdated">
      <operation soapAction="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list:IsUpdated" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="IsUpdated">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="IsUpdated_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
    <operation name="GetRecIdFromKey">
      <operation soapAction="urn:microsoft-dynamics-schemas/page/adcs_responsibility_center_list:GetRecIdFromKey" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="GetRecIdFromKey">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="GetRecIdFromKey_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
  </binding>
  <service name="adcs_responsibility_center_list_Service">
    <port name="adcs_responsibility_center_list_Port" binding="tns:adcs_responsibility_center_list_Binding">
      <address location="http://192.168.1.7:8273/SITE/WS/ERDA/Page/adcs_responsibility_center_list" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </port>
  </service>
</definitions>